HTMLGenerator (jCharts-0.7.5 API)
Keywords: org.jCharts.test.HTMLGenerator,HTMLGenerator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.test
Class HTMLGenerator

    java.lang.Object
      |
      +--org.jCharts.test.HTMLGenerator

public final class HTMLGenerator
extends java.lang.Object

Utility class for viewing a series of tests.

Field Summary
`private java.lang.String` | `fileName`
`private java.lang.StringBuffer` | `stringBuffer`

Constructor Summary
`HTMLGenerator(java.lang.String fileName)`

Method Summary
`void` | `addField(java.lang.String name, java.lang.Object object)` Adds passed field to table.
`void` | `addImage(java.lang.String fileName, ImageMap imageMap)` Adds an image
`private void` | `addImageMapData(ImageMap imageMap, java.lang.String fileName)`
`void` | `addLineBreak()` Add line break
`void` | `addString(java.lang.Object object)` Adds a String
`void` | `addString(java.lang.String label, java.lang.Object object)` Adds a String
`void` | `addTableRow(java.lang.String label, java.lang.Object value)`
`static java.lang.String` | `arrayToString(boolean[] array)` Adds an Array
`static java.lang.String` | `arrayToString(double[] values)` Adds an Array
`static java.lang.String` | `arrayToString(double[][] values)` Adds an Array
`static java.lang.String` | `arrayToString(float[] values)` Adds an Array
`static java.lang.String` | `arrayToString(int[] values)` Adds an Array
`static java.lang.String` | `arrayToString(java.lang.Object[] object)` Adds an Array
`void` | `chartTableEnd()`
`void` | `chartTableRowEnd()`
`void` | `chartTableRowStart()`
`void` | `chartTableStart(java.lang.String chartName, java.lang.String imageFileName, ImageMap imageMap)`
`void` | `innerTableRowEnd()`
`void` | `innerTableRowStart()`
`void` | `legendTableEnd()`
`void` | `legendTableStart()`
`void` | `propertiesTableEnd()`
`void` | `propertiesTableRowEnd()`
`void` | `propertiesTableRowStart()`
`void` | `propertiesTableStart(java.lang.String propertiesName)`
`void` | `saveFile()` Writes the file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileName

    private java.lang.String fileName

### stringBuffer

    private java.lang.StringBuffer stringBuffer

Constructor Detail

### HTMLGenerator

    public HTMLGenerator(java.lang.String fileName)

Parameters:
  `fileName` - the name of the file to write to.

Method Detail

### addField

    public void addField(java.lang.String name,
                         java.lang.Object object)

  Adds passed field to table. Use reflection to get the fields.

  Parameters:
    `name` -
    `object` -

### addString

    public void addString(java.lang.Object object)

  Adds a String

### addString

    public void addString(java.lang.String label,
                          java.lang.Object object)

  Adds a String

### arrayToString

    public static java.lang.String arrayToString(java.lang.Object[] object)

  Adds an Array

  Parameters:
    `object` -

### arrayToString

    public static java.lang.String arrayToString(boolean[] array)

  Adds an Array

  Parameters:
    `array` -

### arrayToString

    public static java.lang.String arrayToString(double[] values)

  Adds an Array

  Parameters:
    `values` -

### arrayToString

    public static java.lang.String arrayToString(double[][] values)

  Adds an Array

  Parameters:
    `values` -

### arrayToString

    public static java.lang.String arrayToString(float[] values)

  Adds an Array

  Parameters:
    `values` -

### arrayToString

    public static java.lang.String arrayToString(int[] values)

  Adds an Array

  Parameters:
    `values` -

### addImage

    public void addImage(java.lang.String fileName,
                         ImageMap imageMap)

  Adds an image

### addImageMapData

    private void addImageMapData(ImageMap imageMap,
                                 java.lang.String fileName)

### addLineBreak

    public void addLineBreak()

  Add line break

### saveFile

    public void saveFile()

  Writes the file.

### addTableRow

    public void addTableRow(java.lang.String label,
                            java.lang.Object value)

  Parameters:
    `label` -
    `value` -

### propertiesTableStart

    public void propertiesTableStart(java.lang.String propertiesName)

  Parameters:
    `propertiesName` -

### propertiesTableEnd

    public void propertiesTableEnd()

### propertiesTableRowStart

    public void propertiesTableRowStart()

### propertiesTableRowEnd

    public void propertiesTableRowEnd()

### chartTableStart

    public void chartTableStart(java.lang.String chartName,
                                java.lang.String imageFileName,
                                ImageMap imageMap)

  Parameters:
    `chartName` -
    `imageFileName` -
    `imageMap` - if this is NULL we are not creating image map data in html

### chartTableEnd

    public void chartTableEnd()

### chartTableRowStart

    public void chartTableRowStart()

### chartTableRowEnd

    public void chartTableRowEnd()

### legendTableStart

    public void legendTableStart()

### legendTableEnd

    public void legendTableEnd()

### innerTableRowStart

    public void innerTableRowStart()

### innerTableRowEnd

    public void innerTableRowEnd()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD